@if (componentData) {
  @if (componentData.loadingData) {
    <div class="full-width full-height">
      <i nz-icon nzTheme="outline" nzType="loading"></i>
    </div>
  } @else {
    @if (componentData.format === 'ZIP') {
      <div class="m-b-10">
        <div>
          <span>{{
            'sqtm-core.test-case-workspace.dialog.import.test-case.total'
              | translate
          }}</span
          ><span>{{ componentData.zipReport.total }}</span>
        </div>
        <div>
          <span>{{
            'sqtm-core.test-case-workspace.dialog.import.test-case.success'
              | translate
          }}</span
          ><span style="color: green">{{
            componentData.zipReport.success
          }}</span>
        </div>
        <div>
          <span>{{
            'sqtm-core.test-case-workspace.dialog.import.test-case.failures'
              | translate
          }}</span
          ><span style="font-weight: bold">{{
            componentData.zipReport.failures
          }}</span>
        </div>
      </div>
      @if (
        componentData.zipReport.renamed + componentData.zipReport.modified !== 0
      ) {
        <span>{{
          'sqtm-core.test-case-workspace.dialog.import.notes' | translate
        }}</span>
        <ul>
          @if (componentData.zipReport.renamed > 0) {
            <li>
              {{
                'sqtm-core.test-case-workspace.dialog.import.warnings.renamed'
                  | translate
              }}
            </li>
          }
          @if (componentData.zipReport.modified > 0) {
            <li>
              {{
                'sqtm-core.test-case-workspace.dialog.import.warnings.modified'
                  | translate
              }}
            </li>
          }
          @if (componentData.zipReport.rejected > 0) {
            <li>
              {{
                'sqtm-core.test-case-workspace.dialog.import.warnings.extension'
                  | translate
              }}
            </li>
          }
        </ul>
      }
    } @else {
      @if (componentData.showXlsImportErrorMessage) {
        <span class="sqtm-core-error-message">
          {{ componentData.errorMessage }}
        </span>
      } @else {
        <sqtm-app-test-case-xls-report
          [templateKo]="componentData.xlsReport.importFormatFailure"
          [templateOk]="componentData.xlsReport.templateOk"
        ></sqtm-app-test-case-xls-report>
      }
    }
  }
}
